KWIN_XGL_CREATE_STEREO(3)

FUNCTION
kwin_xgl_create_stereo - Create a stereo pixel canvas using XGL.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_xgl_create_stereo

(Display *display, Window window, int xoff, int yoff, int width, int height, KPixCanvas *mono, KPixCanvas *left, KPixCanvas *right)

DESCRIPTION
This routine will create a stereo pixel canvas, ready for drawing, from an X window, using the XGL library. Note that the origin of a KPixCanvas is the upper-left corner.

display
    The X display.

window
    The window ID in which the canvas lies.

gc  The graphics context.

xoff
    The horizontal offset of the canvas origin (upper-left corner) relative to the parent window.

yoff
    The vertical offset of the canvas origin (upper-left corner) relative to the parent window.

width
    The width (vertical extent) of the canvas.

height
    The height (horizontal extent) of the canvas.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
This routine is only available with the X window system.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/